AggregationSpecification.Serializer (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.db.aggregation

## Class AggregationSpecification.Serializer

- java.lang.Object
- - org.apache.cassandra.db.aggregation.AggregationSpecification.Serializer

- Enclosing class:
    AggregationSpecification

      public static class AggregationSpecification.Serializer
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Serializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AggregationSpecification` | `deserialize(DataInputPlus in, int version, ClusteringComparator comparator)`
    `void` | `serialize(AggregationSpecification aggregationSpec, DataOutputPlus out, int version)`
    `long` | `serializedSize(AggregationSpecification aggregationSpec, int version)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Serializer

          public Serializer()

  - ### Method Detail

    - #### serialize

          public void serialize(AggregationSpecification aggregationSpec,
                                DataOutputPlus out,
                                int version)
                         throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### deserialize

          public AggregationSpecification deserialize(DataInputPlus in,
                                                      int version,
                                                      ClusteringComparator comparator)
                                               throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### serializedSize

          public long serializedSize(AggregationSpecification aggregationSpec,
                                     int version)

Copyright © 2018 The Apache Software Foundation